# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	HTML lint filter and other tests for web resources
Name:		weblint++
Version:	1.15
Release:	10.%{__distinit}%{__distvers}
URL:		https://github.com/gitpan/weblint/blob/master/weblint++
Source:		http://backpan.perl.org/modules/by-authors/id/B/BD/BDFOY/weblint++-%{version}.tar.gz
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(ConfigReader::Simple) >= 1.15
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(HTML::Lint)
BuildRequires:	perl(HTML::SimpleLinkExtor)
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::SimpleLinkChecker)
BuildRequires:	perl(HTTP::Size) >= 0.4
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Mail::Sendmail)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::Diff)
BuildRequires:	perl(Text::Template)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(URI)
BuildRequires:	perl(URI::file)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::File)
BuildRequires:	perl(Test::Manifest) >= 1.14
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
# Additional requires for enhanced functionality
Requires:	perl(ConfigReader::Simple) >= 1.15
Requires:	perl(Data::Dumper)
Requires:	perl(Digest::MD5)
Requires:	perl(File::Basename)
Requires:	perl(File::Spec)
Requires:	perl(HTML::SimpleLinkExtor)
Requires:	perl(HTTP::SimpleLinkChecker)
Requires:	perl(HTTP::Size) >= 0.4
Requires:	perl(Mail::Sendmail)
Requires:	perl(Text::Diff)
Requires:	perl(Text::Template)
Requires:	perl(Time::HiRes)
Requires:	perl(URI::file)

%description
The weblint++ program fetches a web resource and runs the response through an
HTML lint filter as well as other tests. You can use this program interactively
if you specify the -v switch, or use it in batch mode by observing the exit
status.

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes
%{_bindir}/weblint++
%{_mandir}/man1/weblint++.1*

%changelog
* Thu Mar 30 2023 Paul Howarth <paul@city-fan.org> - 1.15-10
- Use SPDX-format license tag

* Fri Mar  9 2018 Paul Howarth <paul@city-fan.org> - 1.15-9
- Point upstream URLs to somewhere that still exists
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Aug  2 2016 Paul Howarth <paul@city-fan.org> - 1.15-8
- Classify buildreqs by usage
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 1.15-7
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 1.15-6
- BR: perl(constant), perl(Data::Dumper), perl(Digest::MD5), perl(File::Spec),
  perl(HTTP::Request), perl(Test::More) and perl(URI::file)
- Don't need to remove empty directories from the buildroot
- Don't need to define %%{perl_vendorlib}
- Drop support for old distributions prior to FC-3:
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Mon Aug  1 2011 Paul Howarth <paul@city-fan.org> - 1.15-5
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.15-4
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> - 1.15-3
- Fix dist tag for RHEL-6 Beta
- BR: perl(Test::Manifest) ≥ 1.23 due to missing t/pod_coverage.t

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 1.15-2
- Drop explicit dependency on perl-libwww-perl, detected automatically
- Buildreq perl(LWP::UserAgent) instead of perl-libwww-perl
- Add many manual runtime deps for enhanced functionality
- Dist tag for Rawhide no longer needs special-casing

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
- Define RPM macros in global scope
- Drop pod_ok patch, problem fixed upstream
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Thu Mar 22 2007 Paul Howarth <paul@city-fan.org> - 1.14-6
- Fix distribution tag for Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Mon Sep 18 2006 Paul Howarth <paul@city-fan.org> - 1.14-5
- Fix distribution tag for development releases
- Define %%{__id_u} in a more portable way

* Fri Mar 24 2006 Paul Howarth <paul@city-fan.org> - 1.14-4
- Apply patch to fix use of pod_ok function, gone from Test::Pod ≥ 1.24
- Use source.cpan.org URLs
- Don't use macros in build-time command paths, hardcode them instead
- Remove %%__perl_version macro, used only once
- Remove buildroot unconditionally in %%clean and %%install

* Tue Jul 19 2005 Paul Howarth <paul@city-fan.org> - 1.14-3
- Rewrite spec file in (mainly) Fedora Extras style
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Tue Apr 05 2005 Paul Howarth <paul@city-fan.org> - 1.14-2
- Tidy up spec file and rebuild for FC2 and FC3

* Tue May 11 2004 Paul Howarth <paul@city-fan.org> - 1.14-1
- Initial package
